# Insert address Endpoint: POST /enrichment/addresses Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External id of the address that is globally unique across the provided address data Example: "ADDR12345" - `businessPartnerNumber` (string) Number of the business partner related to this address (e.g. customer number) Example: "BP12345" - `parentBusinessPartnerNumber` (string) Number of the parent business partner of this address (e.g. customer number) Example: "PBP12345" - `type` (string) Type of the address Enum: "shippingAddress", "billingAddress" - `addressOrder` (number) Order of the address (in case there’s several addresses of the same type) Example: 1 - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "CLIENT123" - `globalLocationNumber` (string) 13-digit Global Location Number (GLN) used for unique location identification in B2B transactions Example: "1234567890123" - `companyName` (string) Name of the company associated with the address Example: "Acme Corporation" - `nameAlternative1` (string) Alternative name of the company (e.g. trade name or local language) Example: "Acme Corp." - `nameAlternative2` (string) Alternative name of the company Example: "Acme Inc." - `nameAlternative3` (string) Alternative name of the company Example: "Acme Ltd." - `nameAlternative4` (string) Alternative name of the company Example: "Acme GmbH" - `street` (string) Street and street number where the address is located Example: "123 Main St" - `addressAdditional` (string) Additional address data (e.g. building, entrance, apartment, or suite) Example: "Building A, Suite 101" - `postcode` (string) Postcode where the address is located Example: "12345" - `city` (string) City where the address is located Example: "Berlin" - `postOfficeBox` (string) Post office box number, if used instead of street address Example: "PO Box 123" - `countryCode` (string,null) Two letter country code as defined in ISO 3166-1 alpha-2 Enum: "AF", "AX", "AL", "DZ", "AS", "AD", "AO", "AI", "AQ", "AG", "AR", "AM", "AW", "AU", "AT", "AZ", "BS", "BH", "BD", "BB", "BY", "BE", "BZ", "BJ", "BM", "BT", "BO", "BQ", "BA", "BW", "BV", "BR", "IO", "BN", "BG", "BF", "BI", "KH", "CM", "CA", "CV", "KY", "CF", "TD", "CL", "CN", "CX", "CC", "CO", "KM", "CG", "CD", "CK", "CR", "CI", "HR", "CU", "CW", "CY", "CZ", "DK", "DJ", "DM", "DO", "EC", "EG", "SV", "GQ", "ER", "EE", "ET", "FK", "FO", "FJ", "FI", "FR", "GF", "PF", "TF", "GA", "GM", "GE", "DE", "GH", "GI", "GR", "GL", "GD", "GP", "GU", "GT", "GG", "GN", "GW", "GY", "HT", "HM", "VA", "HN", "HK", "HU", "IS", "IN", "ID", "IR", "IQ", "IE", "IM", "IL", "IT", "JM", "JP", "JE", "JO", "KZ", "KE", "KI", "KP", "KR", "KW", "KG", "LA", "LV", "LB", "LS", "LR", "LY", "LI", "LT", "LU", "MO", "MK", "MG", "MW", "MY", "MV", "ML", "MT", "MH", "MQ", "MR", "MU", "YT", "MX", "FM", "MD", "MC", "MN", "ME", "MS", "MA", "MZ", "MM", "NA", "NR", "NP", "NL", "NC", "NZ", "NI", "NE", "NG", "NU", "NF", "MP", "NO", "OM", "PK", "PW", "PS", "PA", "PG", "PY", "PE", "PH", "PN", "PL", "PT", "PR", "QA", "RE", "RO", "RU", "RW", "BL", "SH", "KN", "LC", "MF", "PM", "VC", "WS", "SM", "ST", "SA", "SN", "RS", "SC", "SL", "SG", "SX", "SK", "SI", "SB", "SO", "ZA", "GS", "SS", "ES", "LK", "SD", "SR", "SJ", "SZ", "SE", "CH", "SY", "TW", "TJ", "TZ", "TH", "TL", "TG", "TK", "TO", "TT", "TN", "TR", "TM", "TC", "TV", "UG", "UA", "AE", "GB", "US", "UM", "UY", "UZ", "VU", "VE", "VN", "VG", "VI", "WF", "EH", "YE", "ZM", "ZW", null - `region` (string) Region, state, or province of the address (e.g. "CA" for California or "BE" for Berlin) Example: "BE" - `transportationZone` (string) Code identifying the transportation or logistics zone relevant for shipping or route planning Example: "TZ123" - `phoneNumber` (string) Phone number of the location or contact point Example: "+491234567890" - `faxNumber` (string) Fax number of the location or contact point Example: "+491234567891" - `email` (string) Email address associated with the location or contact point Example: "contact@acme.com" - `validFrom` (string) Start date from which the address is considered valid (format: YYYY-MM-DD) Example: "2023-01-01" - `validTo` (string) End date until which the address is considered valid (format: YYYY-MM-DD) Example: "2023-12-31" - `isDefault` (boolean) Indicator whether this address is the default for the given type (e.g., default ship-to address) Example: true - `latitude` (number) Geographical latitude coordinate of the address (in decimal degrees) Example: 52.520008 - `longitude` (number) Geographical longitude coordinate of the address (in decimal degrees) Example: 13.404954 - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields